## rhel-rivendell-installer.spec
##
##    Rivendell Installation Script
##
##    Copyright (C) 2016-2022 Fred Gleason <fredg@paravelsystems.com>
##
##    This program is free software; you can redistribute it and/or modify
##    it under the terms of version 2 of the GNU General Public License as
##    published by the Free Software Foundation;
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program; if not, write to the Free Software
##    Foundation, Inc., 59 Temple Place, Suite 330, 
##    Boston, MA  02111-1307  USA
##

Summary: Rivendell Installer for RedHat-ish systems
Name: rhel-rivendell-installer
Version: 1.0.1rhel8
Release: 1%{?dist}
License: GPL
Packager: Fred Gleason <fredg@paravelsystems.com>
Group: Productivity/Multimedia/Other
Source: %{name}-1.0.1rhel8.tar.gz
BuildRoot: /var/tmp/rivendell-install-1.0.1rhel8



%description
Bootstrap script for installing Rivendell on a @DISTRO_NAME@ system.


%prep


%setup


%build
%configure


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer
cp assets/installer_install_rivendell.sh $RPM_BUILD_ROOT/%{_datadir}/rhel-rivendell-installer
cp assets/selinux.config $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/smb.conf $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/rivendell.cnf $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/xfce-config.tgz $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/rsyslog.conf.patch $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/asound.conf $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/*.repo $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/RPM-GPG-KEY* $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/autologin.patch $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/no_screen_blank.conf $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/auto.rd.audiostore.template $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/auto.misc.client_template $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/auto.misc.template $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/fop-2.6-bin.tar.gz $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/
cp assets/rd.conf-sample $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/skel
cp assets/*.pdf $RPM_BUILD_ROOT%{_datadir}/rhel-rivendell-installer/skel/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_datadir}/rhel-rivendell-installer/*


%changelog
* Tue May 23 2023 Fred Gleason <fredg@paravelsystems.com> - 1.0.1rhel8-1
-- Autogenerated from build tree.
